summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2014-10-08 01:14:57 +0100
committerPádraig Brady <P@draigBrady.com>2014-10-08 01:14:57 +0100
commit560dad02c3a8421b4895f2c08c43ce12f42d1ee0 (patch)
treeb27a525b666928fc0611be9e3fd648061e00aa5d /tests/misc
parent2662702b9e8643f62c670bbf2fa94b1be1ccf9af (diff)
downloadcoreutils-560dad02c3a8421b4895f2c08c43ce12f42d1ee0.tar.xz
maint: avoid syntax-check failures in previous patch
* tests/misc/od-j.sh: Non standard comparison order. * tests/split/b-chunk.sh: Confusing input file name. * tests/tail-2/tail-c.sh: Redundant require ulimit.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/od-j.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/misc/od-j.sh b/tests/misc/od-j.sh
index a40a99ff7..1a4732876 100755
--- a/tests/misc/od-j.sh
+++ b/tests/misc/od-j.sh
@@ -27,13 +27,13 @@ for file in ${srcdir=.}/tests/init.sh /proc/version /sys/kernel/profiling; do
od -An $file > exp || fail=1
od -An -j $bytes $file $file > out || fail=1
- compare out exp || fail=1
+ compare exp out || fail=1
od -An -j 4096 copy copy > exp1 2> experr1; expstatus=$?
od -An -j 4096 $file $file > out1 2> err1; status=$?
test $status -eq $expstatus || fail=1
- compare out1 exp1 || fail=1
- compare err1 experr1 || fail=1
+ compare exp1 out1 || fail=1
+ compare experr1 err1 || fail=1
done
Exit $fail